#!/bin/bash
#sudo add-apt-repository -y ppa:qbittorrent-team/qbittorrent-stable
#sudo add-apt-repository -y ppa:ubuntu-wine/ppa
sudo add-apt-repository -y ppa:wine/wine-builds
sudo add-apt-repository -y ppa:rvm/smplayer
sudo add-apt-repository -y ppa:nilarimogard/webupd8
sudo add-apt-repository -y ppa:libreoffice/ppa
sudo apt-add-repository -y ppa:fixnix/indicator-systemtray-unity
sudo add-apt-repository -y ppa:webupd8team/nemo3

#Загружаем ключь от VirtualBox
wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
echo 'deb http://download.virtualbox.org/virtualbox/debian yakkety contrib' |sudo tee -a /etc/apt/sources.list

sudo apt-get update
sudo apt-get install -y --install-recommends winehq-devel
sudo apt-get install -y numlockx gdebi curl mc gimp p7zip-full exfat-utils exfat-fuse filezilla qbittorrent ssh unity-tweak-tool indicator-systemtray-unity compizconfig-settings-manager
sudo apt-get install -y cryptkeeper nfs-kernel-server nfs-common gxneur vlc smplayer smplayer-themes smplayer-skins audacious sqlitebrowser aisleriot screenfetch audacity nemo dconf-editor pavucontrol
#sudo apt-get install -y virtualbox-5.1 wine1.8 
sudo apt-get install -y virtualbox-5.1
#sudo apt-get install flashplugin-installer 
sudo apt-get install -y chromium-browser adobe-flashplugin
sudo apt-get purge -y libreoffice-math transmission-* blueman
#sudo apt-get install -y pepperflashplugin-nonfree
#sudo update-pepperflashplugin-nonfree --install

#Настройка формата времени
gsettings set com.canonical.indicator.datetime time-format "custom"
gsettings set com.canonical.indicator.datetime custom-time-format "%a, %e %b    %H:%M"

#Удаляем гостевой сеанс
sudo mkdir /etc/lightdm/lightdm.conf.d
sudo sh -c 'printf "[SeatDefaults]\nallow-guest=false\n" > /etc/lightdm/lightdm.conf.d/50-no-guest.conf'

#Берём тут: 
#http://packages.linuxmint.com/pool/main/m/mintstick/
#sudo dpkg -i ./src/mintstick_*.deb
#sudo apt-get install -y -f
#sudo apt-get install -y python-gobject
#sudo dpkg -i ./src/mint-translations_*.deb
#sudo dpkg -i ./src/smplayer-skins_15.2.0-1.deb

#Устанавливаем темы
sudo tar -xvzf ./src/icon_byhardir.tar.gz -C /usr/share/icons
#sudo tar -xvzf ./src/themes_byhardir.tar.gz -C /usr/share/themes
sudo mkdir /usr/share/filezilla
sudo mkdir /usr/share/filezilla/resources
sudo tar -xvf ./src/filezilla.byhardir.tar.gz -C /usr/share/filezilla/resources/

#numlock - включаем в ЛогинСкрин
sudo cp ./src/50-greeter-wrapper.conf /usr/share/lightdm/lightdm.conf.d/50-greeter-wrapper.conf

#Раскладку в ctrl+Shift
sudo cp ./src/keyboard /etc/default/keyboard

#Ставим тему курсора от MAC
sudo rm /etc/alternatives/x-cursor-theme
sudo ln -s /usr/share/icons/byhardir/cursor.theme /etc/alternatives/x-cursor-theme

#Ставим nemo по умолчанию
xdg-mime default nemo.desktop inode/directory application/x-gnome-saved-search

#отключаем Nautilus от обработки на рабочем столе
gsettings set org.gnome.desktop.background show-desktop-icons false

#Добавляем поддержку 3G'ика E3531
#sudo cp ./src/12d1:1f01 /etc/usb_modeswitch.d/12d1:1f01

#Настроим кодировки в Gedit
gsettings set org.gnome.gedit.preferences.encodings candidate-encodings "['UTF-8', 'WINDOWS-1251', 'KOI8-R', 'CURRENT', 'ISO-8859-15', 'UTF-16']"

